﻿$ErrorActionPreference = 'Stop';
$packageName = 'convertall'
$registryUninstallerKeyName = 'ConvertAll_is1' #ensure this is the value in the registry
$installerType = 'EXE'
$silentArgs = '/SILENT'
$validExitCodes = @(0)

$processor = Get-WmiObject Win32_Processor
$is64bit = $processor.AddressWidth -eq 64
try {
  if ($is64bit) {
    $file = (Get-ItemProperty -Path "hklm:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\$registryUninstallerKeyName").UninstallString
  } else {
    $file = (Get-ItemProperty -Path "hklm:\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\$registryUninstallerKeyName").UninstallString
  }
  Uninstall-ChocolateyPackage -PackageName $packageName -FileType $installerType -SilentArgs $silentArgs -validExitCodes $validExitCodes -File $file
} catch {
  throw $_.Exception
}




